Bug 108414 - net/tighvnc does not work on amd64 (except vncviewer)
net/tighvnc does not work on amd64 (except vncviewer)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: itetcu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-27 08:50 UTC by turutani
Modified: 2008-02-29 03:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description turutani 2007-01-27 08:50:16 UTC
	net/tightvnc does not works on FreeBSD/amd64.
	it works on i386 well, but only vncviewer can work on amd64.

Fix: 

i do not know.
	maybe still broken?
How-To-Repeat: 	% cd /usr/ports/net/tightvnc
	% make install
	 ...
	% vncserver :1
	Couldn't start Xvnc; trying default font path.
	Please set correct fontPath in the vncserver script.
	Couldn't start Xvnc process.
	
	27/01/07 17:00:16 Xvnc version TightVNC-1.3.8
	27/01/07 17:00:16 Copyright (C) 2000-2006 Constantin Kaplinsky
	27/01/07 17:00:16 Copyright (C) 1999 AT&T Laboratories Cambridge
	27/01/07 17:00:16 All Rights Reserved.
	27/01/07 17:00:16 See http://www.tightvnc.com/ for information on TightVNC
	27/01/07 17:00:16 Desktop name 'X' (h116.65.226.10.32118.vlan.kuins.net:1)
	27/01/07 17:00:16 Protocol versions supported: 3.7t, 3.7, 3.3
	27/01/07 17:00:16 Listening for VNC connections on TCP port 5901
	27/01/07 17:00:16 Listening for HTTP connections on TCP port 5801
	27/01/07 17:00:16   URL http://h116.65.226.10.32118.vlan.kuins.net:5801
	Xalloc error: Tail corrupt in Xfree() for small block (adr=0x69d3a0, val=0x99999999)
	Xalloc error: Tail corrupt in Xfree() for small block (adr=0x69d3b8, val=0x1010001)
	Xalloc error: Tail corrupt in Xfree() for small block (adr=0x6c4898, val=0x0)
	27/01/07 17:00:17 Xvnc version TightVNC-1.3.8
	27/01/07 17:00:17 Copyright (C) 2000-2006 Constantin Kaplinsky
	27/01/07 17:00:17 Copyright (C) 1999 AT&T Laboratories Cambridge
	27/01/07 17:00:17 All Rights Reserved.
	27/01/07 17:00:17 See http://www.tightvnc.com/ for information on TightVNC
	27/01/07 17:00:17 Desktop name 'X' (h116.65.226.10.32118.vlan.kuins.net:1)
	27/01/07 17:00:17 Protocol versions supported: 3.7t, 3.7, 3.3
	27/01/07 17:00:17 Listening for VNC connections on TCP port 5901
	27/01/07 17:00:17 Listening for HTTP connections on TCP port 5801
	27/01/07 17:00:17   URL http://h116.65.226.10.32118.vlan.kuins.net:5801
	Xalloc error: Tail corrupt in Xfree() for small block (adr=0x69d3a0, val=0x99999999)
	Xalloc error: Tail corrupt in Xfree() for small block (adr=0x69d3b8, val=0x1010001)
	Xalloc error: Tail corrupt in Xfree() for small block (adr=0x6c4898, val=0x0)
	
	% ps -ax | grep vnc
	%
Comment 1 itetcu freebsd_committer 2007-01-30 21:59:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=108414 

Adding to audit trail from misfiled PR ports/111596:

Date: Sun, 15 Apr 2007 20:27:47 +0930
Comment 2 philip.weaver 2007-07-16 07:21:47 UTC
I have this exact same problem on:

[silver] pweaver tightvnc $ uname -a
FreeBSD silver 7.0-CURRENT FreeBSD 7.0-CURRENT #0: Sat Jun 30 02:30:25 CDT
2007     root@silver:/usr/obj/usr/src/sys/GENERIC  amd64


- Phil
Comment 3 itetcu freebsd_committer 2007-08-02 10:44:39 UTC
State Changed
From-To: open->analyzed

Work in progress to fix this issue; I will need help for runtime 
testing, I don't have an amd64 with X on it.
Comment 4 nerull 2007-10-09 20:37:41 UTC
Hello,
	I was just researching my troubles with getting TightVNC to work on 
my FreeBSD 6.2 AMD64 machine and saw this bug report. If you need an 
AMD64 machine for runtime testing I'll be happy to provide you with 
access to mine as I would love to see VNC working "out of the box" on 
64-bit FreeBSD. Also, if anyone's interested in a workaround I have a 
.tbz package containing the 32-bit TightVNC and it's needed libs 
which can be used until the 64-bit version is working properly.
Comment 5 turutani 2007-10-10 00:43:23 UTC
Thank you for your offer.
I have an patch, but not yet tested well.
Try following patch to recent net/tightvnc, and,
if you have any trouble, please tell me.

--- files/patch-Xvnc::config::cf::FreeBSD.cf.orig	2006-09-29 
06:03:27.000000000 +0900
+++ files/patch-Xvnc::config::cf::FreeBSD.cf	2007-09-05 11:52:41.000000000 +0900
@@ -1,18 +1,26 @@
---- Xvnc/config/cf/FreeBSD.cf.orig	Sun Jun 11 08:00:51 2000
-+++ Xvnc/config/cf/FreeBSD.cf	Tue Sep 26 19:07:31 2006
-@@ -253,9 +253,9 @@
+--- Xvnc/config/cf/FreeBSD.cf.orig	2000-06-11 21:00:51.000000000 +0900
++++ Xvnc/config/cf/FreeBSD.cf	2007-09-04 17:11:16.000000000 +0900
+@@ -253,11 +253,17 @@
   #endif

   #ifdef i386Architecture
  -# define OptimizedCDebugFlags DefaultGcc2i386Opt
-+# define OptimizedCDebugFlags %%CFLAGS%%
++# define OptimizedCDebugFlags -O -pipe
   #else
  -# define OptimizedCDebugFlags -O2
-+# define OptimizedCDebugFlags %%CFLAGS%%
++# define OptimizedCDebugFlags -O -pipe
   #endif

++#ifdef x86_64Architecture
++# define OptimizedCDebugFlags    -O -pipe
++# define ServerOSDefines         XFree86ServerOSDefines -DDDXTIME
++# define ServerExtraDefines      GccGasOption XFree86ServerDefines 
-D_XSERVER64
++#endif /* x86_64Architecture */
++
   #ifndef PreIncDir
-@@ -359,6 +359,5 @@
+ # define PreIncDir	/usr/include
+ #endif
+@@ -359,6 +366,5 @@

   #include <bsdLib.rules>

--- files/patch-Xvnc::config::cf::Imake.cf.orig	1970-01-01 
09:00:00.000000000 +0900
+++ files/patch-Xvnc::config::cf::Imake.cf	2007-09-05 07:47:15.000000000 +0900
@@ -0,0 +1,15 @@
+--- Xvnc/config/cf/Imake.cf.orig	2006-12-23 21:07:55.000000000 +0900
++++ Xvnc/config/cf/Imake.cf	2007-09-05 07:45:05.000000000 +0900
+@@ -206,6 +206,12 @@
+ #  define i386Architecture
+ #  undef i386
+ # endif
++# ifdef __x86_64__
++#  ifndef x86_64Architecture
++#   define x86_64Architecture
++#  endif
++#  undef __x86_64__
++# endif
+ # ifdef __alpha__
+ #  define AlphaBsdArchitecture
+ #  define AlphaArchitecture
--- files/patch-Xvnc::programs::Xserver::os::access.c.orig	1970-01-01 
09:00:00.000000000 +0900
+++ files/patch-Xvnc::programs::Xserver::os::access.c	2007-09-05 
12:08:31.000000000 +0900
@@ -0,0 +1,11 @@
+--- Xvnc/programs/Xserver/os/access.c.orig	2000-06-11 21:00:51.000000000 +0900
++++ Xvnc/programs/Xserver/os/access.c	2007-09-05 12:07:30.000000000 +0900
+@@ -634,7 +634,7 @@
+ #endif
+     ifc.ifc_len = sizeof (buf);
+     ifc.ifc_buf = buf;
+-    if (ifioctl (fd, (int) SIOCGIFCONF, (pointer) &ifc) < 0)
++    if (ifioctl (fd, SIOCGIFCONF, (pointer) &ifc) < 0)
+         Error ("Getting interface configuration (4)");
+
+ #ifdef ISC
Comment 6 itetcu freebsd_committer 2007-10-29 11:10:21 UTC
State Changed
From-To: analyzed->feedback

My last commit should fix problems reported in these PRs, please get bak 
to me if there still is something wrong; else I will close this PRs in a 
week
Comment 7 dfilter freebsd_committer 2007-10-29 11:10:23 UTC
itetcu      2007-10-29 11:08:48 UTC

  FreeBSD ports repository

  Modified files:
    net/tightvnc         Makefile pkg-plist 
    net/tightvnc/files   patch-Xvnc::config::cf::FreeBSD.cf 
  Added files:
    net/tightvnc/files   patch-Xvnc::config::cf::Imake.cf 
                         patch-Xvnc::programs::Xserver::os::access.c 
  Log:
  - RUN_DEPEND on xauth and xorg-fonts [1]
  - OPTIONify Java-based vnc viewer and depend on Java in this case
  (first use of bsd.port.options.mk YAY!)
  - add patches for core-dumps on amd64 [2]
  - bump PORTREVISION for above
  
  PR:             ports/113854 [1], ports/108414 [2]
  Submitted by:   Michael Scheidell [1], Tsurutani Naoki [2]
  
  Revision  Changes    Path
  1.29      +19 -2     ports/net/tightvnc/Makefile
  1.3       +14 -6     ports/net/tightvnc/files/patch-Xvnc::config::cf::FreeBSD.cf
  1.1       +15 -0     ports/net/tightvnc/files/patch-Xvnc::config::cf::Imake.cf (new)
  1.1       +11 -0     ports/net/tightvnc/files/patch-Xvnc::programs::Xserver::os::access.c (new)
  1.9       +22 -22    ports/net/tightvnc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Mark Linimon freebsd_committer 2008-02-29 03:11:11 UTC
State Changed
From-To: feedback->closed

Feedback timeout (~4 months).